services:
  web:
    image: somePHPImage
    volumes:
      - composer-cache:/tmp/composer
      - ./:/var/www/
    working_dir: /var/www/
    security_opt:
      - label=disable
    depends_on:
      - mysql
    tmpfs:
      - /var/www/.Build/web/typo3temp/var/tests/
    environment:
      PHP_CS_FIXER_FUTURE_MODE: 1
      COMPOSER_HOME: /tmp/composer
      COMPOSER_ALLOW_SUPERUSER: 1
      typo3DatabaseHost: mysql
      typo3DatabaseName: test_db
      typo3DatabasePassword: mysql_strong_password
      typo3DatabaseUsername: root

  mysql:
    image: docker.io/library/mysql:8.4
    tmpfs:
      - /var/lib/mysql/
    environment:
      MYSQL_DATABASE: test_db
      MYSQL_ROOT_PASSWORD: mysql_strong_password

volumes:
  composer-cache:
